From 98c5f83ae289252610be8ce80452fad97f6433c7 Mon Sep 17 00:00:00 2001
From: Andreas Gerler <baron@bundesbrandschatzamt.de>
Date: Sat, 28 Jan 2023 14:49:02 +0100
Subject: [PATCH 2/2] lisp/ob-sql.el: sql-connection-alist engine

* ob-sql.el (org-babel-find-db-connection-param): with dbconnection use
sql-product for engine parameter.

Signed-off-by: Andreas Gerler <baron@bundesbrandschatzamt.de>
---
 lisp/ob-sql.el | 12 ++++++++----
 1 file changed, 8 insertions(+), 4 deletions(-)

diff --git a/lisp/ob-sql.el b/lisp/ob-sql.el
index f73e7003f..c6a192ae3 100644
--- a/lisp/ob-sql.el
+++ b/lisp/ob-sql.el
@@ -231,10 +231,14 @@ database connections."
                                   (:dbuser . sql-user)
                                   (:dbpassword . sql-password)
                                   (:dbinstance . sql-dbinstance)
-                                  (:database . sql-database)))
+                                  (:database . sql-database)
+                                  (:engine . sql-product)))
                   (mapped-name (cdr (assq name name-mapping))))
-             (cadr (assq mapped-name
-                         (cdr (assoc-string dbconnection sql-connection-alist t))))))))
+             (if (string-equal ":engine" name)
+                 (symbol-name (cadr (cadr (assq mapped-name
+                                   (cdr (assoc-string dbconnection sql-connection-alist t))))))
+               (cadr (assq mapped-name
+                           (cdr (assoc-string dbconnection sql-connection-alist t)))))))))
 
 (defun org-babel-execute:sql (body params)
   "Execute a block of Sql code with Babel.
@@ -247,7 +251,7 @@ This function is called by `org-babel-execute-src-block'."
          (dbpassword (org-babel-find-db-connection-param params :dbpassword))
          (dbinstance (org-babel-find-db-connection-param params :dbinstance))
          (database (org-babel-find-db-connection-param params :database))
-         (engine (cdr (assq :engine params)))
+         (engine  (org-babel-find-db-connection-param params :engine))
          (colnames-p (not (equal "no" (cdr (assq :colnames params)))))
          (in-file (org-babel-temp-file "sql-in-"))
          (out-file (or (cdr (assq :out-file params))
-- 
2.39.0

